{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"MultiCompaniesOverviewsResult":{"description":"Multiple companies overviews result","properties":{"records":{"description":"found overview(s)","items":{"$ref":"#/components/schemas/Overview"},"type":"array"},"responseInfo":{"allOf":[{"$ref":"#/components/schemas/ResponseInfo"}],"description":"Request matching information"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"MultiCompanyRequest":{"description":"Multiple companies ids request","properties":{"companyIds":{"description":"array of company id","items":{"description":"array of company id","type":"string"},"type":"array"},"requestKey":{"description":"cache key for companies id-s in sandbox","type":"string"}},"type":"object"},"Overview":{"description":"Company Overview","properties":{"address":{"description":"Main address for the company","type":"string"},"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"coAddress":{"description":"Main address, C/O address","type":"string"},"commune":{"description":"Main address, name of commune","type":"string"},"communeCode":{"description":"Main address, national commune identifieer","type":"string"},"companyDeregistrationDate":{"description":"Company deregistration date (Date in ISO 8601 standard)","type":"string"},"companyId":{"description":"National identifier for the company","type":"string"},"companyName":{"description":"Name of company","type":"string"},"companyRegistrationDate":{"description":"Company registration date (Date in ISO 8601 standard)","type":"string"},"countryCode":{"description":"Country code","type":"string"},"email":{"description":"Email","type":"string"},"faxNumber":{"description":"Fax number","type":"string"},"industryCode":{"description":"Company main industry, NACE code","type":"string"},"industryText":{"description":"Company main industry, NACE text","type":"string"},"legalGroupCode":{"description":"Company type code","type":"string"},"legalGroupText":{"description":"Company type text","type":"string"},"numberCompanyUnits":{"description":"Number of company units/workplaces","format":"int32","type":"integer"},"numberEmployeesInterval":{"description":"Number of employees (interval)","type":"string"},"phoneNumber":{"description":"Telephone number","type":"string"},"postAddress":{"description":"Postal address, street","type":"string"},"postCoAddress":{"description":"Postal address, C/O address","type":"string"},"postCommune":{"description":"Postal address, community","type":"string"},"postCommuneCode":{"description":"Postal address, community code","type":"string"},"postTown":{"description":"Postal address, town","type":"string"},"postZipCode":{"description":"Postal address, zipcode","type":"string"},"statusCode":{"description":"Status code, see swedish company statuscode information.","type":"string"},"statusTextHigh":{"description":"Descriptive text for the status code","type":"string"},"topDirectorFunction":{"description":"Top director function.","type":"string"},"topDirectorName":{"description":"Name of top director in company","type":"string"},"town":{"description":"Main address, town","type":"string"},"visitAddress":{"description":"Visiting address, street name, street number and unit","type":"string"},"visitTown":{"description":"Visiting address, town","type":"string"},"visitZipCode":{"description":"Visiting address, zip code","type":"string"},"webAddress":{"description":"Web address","type":"string"},"zipCode":{"description":"Main address, zipcode","type":"string"}},"type":"object"},"OverviewsResult":{"description":"Company(s) overview(s) result","properties":{"records":{"description":"found overview(s)","items":{"$ref":"#/components/schemas/Overview"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"ResponseInfo":{"description":"Multiple response information","properties":{"hitCount":{"description":"Number of companyIds in response (companyIds that could be found)","format":"int32","type":"integer"},"noMatchIds":{"description":"Array of companyIds that was in request but could not be matched","items":{"description":"Array of companyIds that was in request but could not be matched","type":"string"},"type":"array"},"requestCount":{"description":"Number of requested companyIds","format":"int32","type":"integer"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Fetch company/companies overview(s)\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Overview","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/company-overview-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"It supports date parameter to find overview up to date","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OverviewsResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find overview by company id","tags":["OverviewDk"]}},"/history/{companyId}":{"get":{"description":"Changes of the company within specified date range. The range includes \"from\" and excludes \"to\".","operationId":"history","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"beginning of the date range (including), iso 8601 format","in":"query","name":"fromDate","schema":{"type":"string"}},{"description":"ending of the date range (excluding), iso 8601 format","in":"query","name":"toDate","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OverviewsResult"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find history overview by company id","tags":["OverviewDk"]}},"/":{"post":{"description":"It supports date parameter to find overviews up to date","operationId":"getCompanyOverviewList","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultiCompanyRequest"}}},"description":"request body with companies identifiers to lookup","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultiCompaniesOverviewsResult"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find overviews by companies id-s","tags":["OverviewDk"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/dk/company/overview/1.0"}],"x-category":"company","x-countries":["dk"],"x-id":"OverviewApiDk"}